summaryrefslogtreecommitdiffstats
path: root/release/pc98
diff options
context:
space:
mode:
authornwhitehorn <nwhitehorn@FreeBSD.org>2011-05-04 23:41:11 +0000
committernwhitehorn <nwhitehorn@FreeBSD.org>2011-05-04 23:41:11 +0000
commit3a0f89209ce8f063a162c5c44aa86271d49a17c9 (patch)
treebe36122c45b7bcd46fffada194de96a1a955efc4 /release/pc98
parentfa658caf7f77301a0ec0b43f379ae4e01559ce9a (diff)
downloadFreeBSD-src-3a0f89209ce8f063a162c5c44aa86271d49a17c9.zip
FreeBSD-src-3a0f89209ce8f063a162c5c44aa86271d49a17c9.tar.gz
Repair release CD generation on PC98 and sun4v after release building
changes, and backport the new logic (ISO images are TARGET dependant, not TARGET_CPUARCH dependant) to Makefile.sysinstall. While modifying ISO image scripts, change several archs to use makefs (from base) instead of mkisofs (from ports) which makes release CD generation both faster and self-hosting.
Diffstat (limited to 'release/pc98')
-rw-r--r--release/pc98/mkisoimages.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/release/pc98/mkisoimages.sh b/release/pc98/mkisoimages.sh
new file mode 100644
index 0000000..45b4c7c
--- /dev/null
+++ b/release/pc98/mkisoimages.sh
@@ -0,0 +1,45 @@
+#!/bin/sh
+#
+# Module: mkisoimages.sh
+# Author: Jordan K Hubbard
+# Date: 22 June 2001
+#
+# $FreeBSD$
+#
+# This script is used by release/Makefile to build the (optional) ISO images
+# for a FreeBSD release. It is considered architecture dependent since each
+# platform has a slightly unique way of making bootable CDs. This script
+# is also allowed to generate any number of images since that is more of
+# publishing decision than anything else.
+#
+# Usage:
+#
+# mkisoimages.sh [-b] image-label image-name base-bits-dir [extra-bits-dir]
+#
+# Where -b is passed if the ISO image should be made "bootable" by
+# whatever standards this architecture supports (may be unsupported),
+# image-label is the ISO image label, image-name is the filename of the
+# resulting ISO image, base-bits-dir contains the image contents and
+# extra-bits-dir, if provided, contains additional files to be merged
+# into base-bits-dir as part of making the image.
+
+publisher="The FreeBSD Project. http://www.freebsd.org/"
+if [ "x$1" = "x-b" ]; then
+ # This is highly x86-centric and will be used directly below.
+ bootable="-o generic-bootimage=$4/boot/cdboot"
+ shift
+else
+ bootable=""
+fi
+
+if [ $# -lt 3 ]; then
+ echo Usage: $0 '[-b] image-label image-name base-bits-dir [extra-bits-dir]'
+ exit 1
+fi
+
+LABEL=$1; shift
+NAME=$1; shift
+
+echo "/dev/iso9660/`echo $LABEL | tr '[:lower:]' '[:upper:]'` / cd9660 ro 0 0" > $1/etc/fstab
+makefs -t cd9660 $bootable -o rockridge -o label=$LABEL $NAME $*
+rm $1/etc/fstab
OpenPOWER on IntegriCloud